View Issue Details

IDProjectCategoryView StatusLast Update
14362Bug reportsTheme editorpublic2019-04-30 09:11
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Fixed in Version3.15.x 
Summary14362: Template can throw error with invalid image
Description

If an image don't exist : template throw error PHP Warning with debug set to 2 and 500 error with debug=0

Steps To Reproduce

Import a global file
Set it at logo
See a survey with default inherit
Remove image or rename
See survey : PHP warning

Additional Information

All path must be checked if exist before doing something :)

Maybe add an error in template editor only ?

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.5 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-12-19 18:12

developer  

PHP warning.html (47,732 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PHP warning</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>PHP warning</h1>

	<p class="message">
		
finfo_file(/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/upload/themes/survey/generalfiles/monlogo.png):
 failed to open stream: No such file or directory	</p>

	<div class="source">
		<p class="file">/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/utils/CFileHelper.php(282)</p>
		<div class="code"><pre><span class="ln">270</span>      * PHP extension is available. This parameter has been available since version 1.1.3.
<span class="ln">271</span>      * @param boolean $checkExtension whether to check the file extension in case the MIME type cannot be determined
<span class="ln">272</span>      * based on finfo and mime_content_type. Defaults to true. This parameter has been available since version 1.1.4.
<span class="ln">273</span>      * @return string the MIME type. Null is returned if the MIME type cannot be determined.
<span class="ln">274</span>      */
<span class="ln">275</span>     public static function getMimeType($file,$magicFile=null,$checkExtension=true)
<span class="ln">276</span>     {
<span class="ln">277</span>         if(function_exists('finfo_open'))
<span class="ln">278</span>         {
<span class="ln">279</span>             $options=defined('FILEINFO_MIME_TYPE') ? FILEINFO_MIME_TYPE : FILEINFO_MIME;
<span class="ln">280</span>             $info=$magicFile===null ? finfo_open($options) : finfo_open($options,$magicFile);
<span class="ln">281</span> 
<span class="error"><span class="ln error-ln">282</span>             if($info &amp;&amp; ($result=finfo_file($info,$file))!==false)
</span><span class="ln">283</span>                 return $result;
<span class="ln">284</span>         }
<span class="ln">285</span> 
<span class="ln">286</span>         if(function_exists('mime_content_type') &amp;&amp; ($result=mime_content_type($file))!==false)
<span class="ln">287</span>             return $result;
<span class="ln">288</span> 
<span class="ln">289</span>         return $checkExtension ? self::getMimeTypeByExtension($file) : null;
<span class="ln">290</span>     }
<span class="ln">291</span> 
<span class="ln">292</span>     /**
<span class="ln">293</span>      * Determines the MIME type based on the extension name of the specified file.
<span class="ln">294</span>      * This method will use a local map between extension name and MIME type.
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace core collapsed">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/utils/CFileHelper.php(282): <strong>finfo_file</strong>(resource, "/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/uploa...")				</div>

				<div class="code"><pre><span class="ln">277</span>         if(function_exists('finfo_open'))
<span class="ln">278</span>         {
<span class="ln">279</span>             $options=defined('FILEINFO_MIME_TYPE') ? FILEINFO_MIME_TYPE : FILEINFO_MIME;
<span class="ln">280</span>             $info=$magicFile===null ? finfo_open($options) : finfo_open($options,$magicFile);
<span class="ln">281</span> 
<span class="error"><span class="ln error-ln">282</span>             if($info &amp;&amp; ($result=finfo_file($info,$file))!==false)
</span><span class="ln">283</span>                 return $result;
<span class="ln">284</span>         }
<span class="ln">285</span> 
<span class="ln">286</span>         if(function_exists('mime_content_type') &amp;&amp; ($result=mime_content_type($file))!==false)
<span class="ln">287</span>             return $result;
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/core/LSYii_ImageValidator.php(28): <strong>CFileHelper</strong>::<strong>getMimeType</strong>("/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/uploa...")				</div>

				<div class="code"><pre><span class="ln">23</span>     * @return array
<span class="ln">24</span>     */
<span class="ln">25</span>     static function validateImage($path)
<span class="ln">26</span>     {
<span class="ln">27</span>         $result =[];
<span class="error"><span class="ln error-ln">28</span>         $checkImage = CFileHelper::getMimeType($path);
</span><span class="ln">29</span>         $result['debug'] = $checkImage;
<span class="ln">30</span>         $allowedImageFormats = array("image/png", "image/jpg", "image/jpeg", "image/gif", "image/svg+xml", "image/x-icon");
<span class="ln">31</span> 
<span class="ln">32</span>         if (!empty($checkImage) &amp;&amp; in_array($checkImage, $allowedImageFormats)) {
<span class="ln">33</span>             $result['uploadresult'] = '';
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/core/LS_Twig_Extension.php(278): <strong>LSYii_ImageValidator</strong>::<strong>validateImage</strong>("/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/uploa...")				</div>

				<div class="code"><pre><span class="ln">273</span>         } else {
<span class="ln">274</span>             $sFullPath = Yii::app()-&gt;getConfig('rootdir').'/'.$sImagePath;
<span class="ln">275</span>         }
<span class="ln">276</span> 
<span class="ln">277</span>         // check if this is a true image
<span class="error"><span class="ln error-ln">278</span>         $checkImage = LSYii_ImageValidator::validateImage($sFullPath  );
</span><span class="ln">279</span> 
<span class="ln">280</span>         if (!$checkImage['check']) {
<span class="ln">281</span>             return false;
<span class="ln">282</span>         }
<span class="ln">283</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										
&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/tmp/runtime/twig_cache/07/078af9cda1e3f1ecaf43d6d3a207a8bb4ec8de94f44e4cb63b4c406b2aaa3af4.php(84):
 <strong>LS_Twig_Extension</strong>::<strong>image</strong>("upload/themes/survey/generalfiles/monlogo.png", "TEST_INTAKE_Kapo_2018", array("class" =&gt; "logo img-responsive"))				</div>

				<div class="code"><pre><span class="ln">79</span>                 echo " logo-container hidden-xs\"  ";
<span class="ln">80</span>                 echo $this-&gt;env-&gt;getExtension('Twig_Extension_Sandbox')-&gt;ensureToStringAllowed($this-&gt;getAttribute($this-&gt;getAttribute((isset($context["aSurveyInfo"]) ? $context["aSurveyInfo"] : null), "attr", array()), "navbarbrand", array()));
<span class="ln">81</span>                 echo "  &gt;
<span class="ln">82</span>                 ";
<span class="ln">83</span>                 // line 34
<span class="error"><span class="ln error-ln">84</span>                 echo $this-&gt;env-&gt;getExtension('Twig_Extension_Sandbox')-&gt;ensureToStringAllowed(LS_Twig_Extension::image($this-&gt;getAttribute($this-&gt;getAttribute((isset($context["aSurveyInfo"]) ? $context["aSurveyInfo"] : null), "options", array()), "brandlogofile", array()), $this-&gt;getAttribute((isset($context["aSurveyInfo"]) ? $context["aSurveyInfo"] : null), "name", array()), array("class" =&gt; "logo img-responsive")));
</span><span class="ln">85</span>                 echo "
<span class="ln">86</span>             &lt;/div&gt;
<span class="ln">87</span>         ";
<span class="ln">88</span>             } else {
<span class="ln">89</span>                 // line 37
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/third_party/Twig/Template.php(438): <strong>__TwigTemplate_3ea78ee08144a6bd8795f74d4216928336162d2cc50dc42885d06026c9e4b1b9</strong>-&gt;<strong>doDisplay</strong>(array("oSurvey"
 =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format"
 =&gt; "G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), 
"step" =&gt; 1, "LEMskipReprocessing" =&gt; null, ...), array())				</div>

				<div class="code"><pre><span class="ln">433</span>     }
<span class="ln">434</span> 
<span class="ln">435</span>     protected function displayWithErrorHandling(array $context, array $blocks = array())
<span class="ln">436</span>     {
<span class="ln">437</span>         try {
<span class="error"><span class="ln error-ln">438</span>             $this-&gt;doDisplay($context, $blocks);
</span><span class="ln">439</span>         } catch (Twig_Error $e) {
<span class="ln">440</span>             if (!$e-&gt;getSourceContext()) {
<span class="ln">441</span>                 $e-&gt;setSourceContext($this-&gt;getSourceContext());
<span class="ln">442</span>             }
<span class="ln">443</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/third_party/Twig/Template.php(406): <strong>Twig_Template</strong>-&gt;<strong>displayWithErrorHandling</strong>(array("oSurvey"
 =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format"
 =&gt; "G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), 
"step" =&gt; 1, "LEMskipReprocessing" =&gt; null, ...), array())				</div>

				<div class="code"><pre><span class="ln">401</span>     /**
<span class="ln">402</span>      * {@inheritdoc}
<span class="ln">403</span>      */
<span class="ln">404</span>     public function display(array $context, array $blocks = array())
<span class="ln">405</span>     {
<span class="error"><span class="ln error-ln">406</span>         $this-&gt;displayWithErrorHandling($this-&gt;env-&gt;mergeGlobals($context), array_merge($this-&gt;blocks, $blocks));
</span><span class="ln">407</span>     }
<span class="ln">408</span> 
<span class="ln">409</span>     /**
<span class="ln">410</span>      * {@inheritdoc}
<span class="ln">411</span>      */
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/third_party/Twig/Template.php(417): <strong>Twig_Template</strong>-&gt;<strong>display</strong>(array("oSurvey"
 =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format"
 =&gt; "G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), 
"step" =&gt; 1, "LEMskipReprocessing" =&gt; null, ...))				</div>

				<div class="code"><pre><span class="ln">412</span>     public function render(array $context)
<span class="ln">413</span>     {
<span class="ln">414</span>         $level = ob_get_level();
<span class="ln">415</span>         ob_start();
<span class="ln">416</span>         try {
<span class="error"><span class="ln error-ln">417</span>             $this-&gt;display($context);
</span><span class="ln">418</span>         } catch (Exception $e) {
<span class="ln">419</span>             while (ob_get_level() &gt; $level) {
<span class="ln">420</span>                 ob_end_clean();
<span class="ln">421</span>             }
<span class="ln">422</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										
&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/third_party/Twig/Extension/Core.php(1400):
 <strong>Twig_Template</strong>-&gt;<strong>render</strong>(array("oSurvey"
 =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format"
 =&gt; "G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), 
"step" =&gt; 1, "LEMskipReprocessing" =&gt; null, ...))				</div>

				<div class="code"><pre><span class="ln">1395</span>         }
<span class="ln">1396</span>     }
<span class="ln">1397</span> 
<span class="ln">1398</span>     $result = null;
<span class="ln">1399</span>     try {
<span class="error"><span class="ln error-ln">1400</span>         $result = $env-&gt;resolveTemplate($template)-&gt;render($variables);
</span><span class="ln">1401</span>     } catch (Twig_Error_Loader $e) {
<span class="ln">1402</span>         if (!$ignoreMissing) {
<span class="ln">1403</span>             if ($isSandboxed &amp;&amp; !$alreadySandboxed) {
<span class="ln">1404</span>                 $sandbox-&gt;disableSandbox();
<span class="ln">1405</span>             }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										
&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/tmp/runtime/twig_cache/40/4073b930d68b12e8b9af3a1e1ebf3474f8ccda8c4fe400bad585bcb21d8458c3.php(224):
 <strong>twig_include</strong>(Twig_Environment, array("oSurvey" =&gt; 
Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format" =&gt; 
"G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), "step" 
=&gt; 1, "LEMskipReprocessing" =&gt; null, ...), 
"./subviews/header/nav_bar.twig")				</div>

				<div class="code"><pre><span class="ln">219</span>     // line 99
<span class="ln">220</span>     public function block_nav_bar($context, array $blocks = array())
<span class="ln">221</span>     {
<span class="ln">222</span>         // line 100
<span class="ln">223</span>         echo "                    ";
<span class="error"><span class="ln error-ln">224</span>         echo $this-&gt;env-&gt;getExtension('Twig_Extension_Sandbox')-&gt;ensureToStringAllowed(twig_include($this-&gt;env, $context, "./subviews/header/nav_bar.twig"));
</span><span class="ln">225</span>         echo "
<span class="ln">226</span>                 ";
<span class="ln">227</span>     }
<span class="ln">228</span> 
<span class="ln">229</span>     // line 104
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/third_party/Twig/Template.php(215): <strong>__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5</strong>-&gt;<strong>block_nav_bar</strong>(array("oSurvey"
 =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format"
 =&gt; "G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), 
"step" =&gt; 1, "LEMskipReprocessing" =&gt; null, ...), array("head" 
=&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_head"), "ajaxindicator" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_ajaxindicator"), "pjaxbegin" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_pjaxbegin"), "body" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_body"), ...))				</div>

				<div class="code"><pre><span class="ln">210</span>             throw new LogicException('A block must be a method on a Twig_Template instance.');
<span class="ln">211</span>         }
<span class="ln">212</span> 
<span class="ln">213</span>         if (null !== $template) {
<span class="ln">214</span>             try {
<span class="error"><span class="ln error-ln">215</span>                 $template-&gt;$block($context, $blocks);
</span><span class="ln">216</span>             } catch (Twig_Error $e) {
<span class="ln">217</span>                 if (!$e-&gt;getSourceContext()) {
<span class="ln">218</span>                     $e-&gt;setSourceContext($template-&gt;getSourceContext());
<span class="ln">219</span>                 }
<span class="ln">220</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										
&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/tmp/runtime/twig_cache/40/4073b930d68b12e8b9af3a1e1ebf3474f8ccda8c4fe400bad585bcb21d8458c3.php(183):
 <strong>Twig_Template</strong>-&gt;<strong>displayBlock</strong>("nav_bar",
 array("oSurvey" =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" 
=&gt; "N", "format" =&gt; "G", "template" =&gt; "vanilla", "language" 
=&gt; "de", ...), "step" =&gt; 1, "LEMskipReprocessing" =&gt; null, 
...), array("head" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_head"), "ajaxindicator" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_ajaxindicator"), "pjaxbegin" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_pjaxbegin"), "body" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_body"), ...))				</div>

				<div class="code"><pre><span class="ln">178</span>         // line 97
<span class="ln">179</span>         echo "
<span class="ln">180</span>                 ";
<span class="ln">181</span>         // line 99
<span class="ln">182</span>         echo "                ";
<span class="error"><span class="ln error-ln">183</span>         $this-&gt;displayBlock('nav_bar', $context, $blocks);
</span><span class="ln">184</span>         // line 102
<span class="ln">185</span>         echo "
<span class="ln">186</span>                 ";
<span class="ln">187</span>         // line 104
<span class="ln">188</span>         echo "                ";
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/third_party/Twig/Template.php(215): <strong>__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5</strong>-&gt;<strong>block_body</strong>(array("oSurvey"
 =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format"
 =&gt; "G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), 
"step" =&gt; 1, "LEMskipReprocessing" =&gt; null, ...), array("head" 
=&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_head"), "ajaxindicator" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_ajaxindicator"), "pjaxbegin" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_pjaxbegin"), "body" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_body"), ...))				</div>

				<div class="code"><pre><span class="ln">210</span>             throw new LogicException('A block must be a method on a Twig_Template instance.');
<span class="ln">211</span>         }
<span class="ln">212</span> 
<span class="ln">213</span>         if (null !== $template) {
<span class="ln">214</span>             try {
<span class="error"><span class="ln error-ln">215</span>                 $template-&gt;$block($context, $blocks);
</span><span class="ln">216</span>             } catch (Twig_Error $e) {
<span class="ln">217</span>                 if (!$e-&gt;getSourceContext()) {
<span class="ln">218</span>                     $e-&gt;setSourceContext($template-&gt;getSourceContext());
<span class="ln">219</span>                 }
<span class="ln">220</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										
&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/tmp/runtime/twig_cache/40/4073b930d68b12e8b9af3a1e1ebf3474f8ccda8c4fe400bad585bcb21d8458c3.php(117):
 <strong>Twig_Template</strong>-&gt;<strong>displayBlock</strong>("body",
 array("oSurvey" =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" 
=&gt; "N", "format" =&gt; "G", "template" =&gt; "vanilla", "language" 
=&gt; "de", ...), "step" =&gt; 1, "LEMskipReprocessing" =&gt; null, 
...), array("head" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_head"), "ajaxindicator" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_ajaxindicator"), "pjaxbegin" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_pjaxbegin"), "body" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_body"), ...))				</div>

				<div class="code"><pre><span class="ln">112</span>         // line 95
<span class="ln">113</span>         echo $this-&gt;env-&gt;getExtension('Twig_Extension_Sandbox')-&gt;ensureToStringAllowed($this-&gt;getAttribute($this-&gt;getAttribute((isset($context["aSurveyInfo"]) ? $context["aSurveyInfo"] : null), "id", array()), "dynamicreload", array()));
<span class="ln">114</span>         echo "\"&gt;
<span class="ln">115</span>             ";
<span class="ln">116</span>         // line 96
<span class="error"><span class="ln error-ln">117</span>         $this-&gt;displayBlock('body', $context, $blocks);
</span><span class="ln">118</span>         // line 130
<span class="ln">119</span>         echo "            &lt;/div&gt;
<span class="ln">120</span> 
<span class="ln">121</span>         &lt;/article&gt;
<span class="ln">122</span>         ";
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/third_party/Twig/Template.php(438): <strong>__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5</strong>-&gt;<strong>doDisplay</strong>(array("oSurvey"
 =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format"
 =&gt; "G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), 
"step" =&gt; 1, "LEMskipReprocessing" =&gt; null, ...), array("head" 
=&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_head"), "ajaxindicator" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_ajaxindicator"), "pjaxbegin" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_pjaxbegin"), "body" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_body"), ...))				</div>

				<div class="code"><pre><span class="ln">433</span>     }
<span class="ln">434</span> 
<span class="ln">435</span>     protected function displayWithErrorHandling(array $context, array $blocks = array())
<span class="ln">436</span>     {
<span class="ln">437</span>         try {
<span class="error"><span class="ln error-ln">438</span>             $this-&gt;doDisplay($context, $blocks);
</span><span class="ln">439</span>         } catch (Twig_Error $e) {
<span class="ln">440</span>             if (!$e-&gt;getSourceContext()) {
<span class="ln">441</span>                 $e-&gt;setSourceContext($this-&gt;getSourceContext());
<span class="ln">442</span>             }
<span class="ln">443</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/third_party/Twig/Template.php(406): <strong>Twig_Template</strong>-&gt;<strong>displayWithErrorHandling</strong>(array("oSurvey"
 =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format"
 =&gt; "G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), 
"step" =&gt; 1, "LEMskipReprocessing" =&gt; null, ...), array("head" 
=&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_head"), "ajaxindicator" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_ajaxindicator"), "pjaxbegin" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_pjaxbegin"), "body" =&gt; 
array(__TwigTemplate_2743ab383bfeeff8f31ddd118d83bb05ee6042726398f687bed2647a7ae8dac5,
 "block_body"), ...))				</div>

				<div class="code"><pre><span class="ln">401</span>     /**
<span class="ln">402</span>      * {@inheritdoc}
<span class="ln">403</span>      */
<span class="ln">404</span>     public function display(array $context, array $blocks = array())
<span class="ln">405</span>     {
<span class="error"><span class="ln error-ln">406</span>         $this-&gt;displayWithErrorHandling($this-&gt;env-&gt;mergeGlobals($context), array_merge($this-&gt;blocks, $blocks));
</span><span class="ln">407</span>     }
<span class="ln">408</span> 
<span class="ln">409</span>     /**
<span class="ln">410</span>      * {@inheritdoc}
<span class="ln">411</span>      */
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/third_party/Twig/Template.php(417): <strong>Twig_Template</strong>-&gt;<strong>display</strong>(array("oSurvey"
 =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format"
 =&gt; "G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), 
"step" =&gt; 1, "LEMskipReprocessing" =&gt; null))				</div>

				<div class="code"><pre><span class="ln">412</span>     public function render(array $context)
<span class="ln">413</span>     {
<span class="ln">414</span>         $level = ob_get_level();
<span class="ln">415</span>         ob_start();
<span class="ln">416</span>         try {
<span class="error"><span class="ln error-ln">417</span>             $this-&gt;display($context);
</span><span class="ln">418</span>         } catch (Exception $e) {
<span class="ln">419</span>             while (ob_get_level() &gt; $level) {
<span class="ln">420</span>                 ob_end_clean();
<span class="ln">421</span>             }
<span class="ln">422</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#16			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/core/LSETwigViewRenderer.php(342): <strong>Twig_Template</strong>-&gt;<strong>render</strong>(array("oSurvey"
 =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format"
 =&gt; "G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), 
"step" =&gt; 1, "LEMskipReprocessing" =&gt; null), false)				</div>

				<div class="code"><pre><span class="ln">337</span>             list($sString, $aDatas) = $this-&gt;getPluginsData($sString, $aDatas);
<span class="ln">338</span>         }
<span class="ln">339</span> 
<span class="ln">340</span>         // Twig rendering
<span class="ln">341</span>         $oTwigTemplate = $twig-&gt;createTemplate($sString);
<span class="error"><span class="ln error-ln">342</span>         $sHtml         = $oTwigTemplate-&gt;render($aDatas, false);
</span><span class="ln">343</span> 
<span class="ln">344</span>         return $sHtml;
<span class="ln">345</span>     }
<span class="ln">346</span> 
<span class="ln">347</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#17			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/core/LSETwigViewRenderer.php(42): <strong>LSETwigViewRenderer</strong>-&gt;<strong>convertTwigToHtml</strong>("{#

    LimeSurvey
    Copyright (C) 2007-2017 The LimeSurvey Pro...", array("oSurvey" 
=&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" =&gt; "N", "format" 
=&gt; "G", "template" =&gt; "vanilla", "language" =&gt; "de", ...), 
"step" =&gt; 1, "LEMskipReprocessing" =&gt; null), 
TemplateConfiguration)				</div>

				<div class="code"><pre><span class="ln">37</span>     {
<span class="ln">38</span>         $oTemplate = Template::model()-&gt;getInstance();
<span class="ln">39</span>         $oLayoutTemplate = $this-&gt;getTemplateForView($sLayout, $oTemplate);
<span class="ln">40</span>         if ($oLayoutTemplate) {
<span class="ln">41</span>             $line       = file_get_contents($oLayoutTemplate-&gt;viewPath.$sLayout);
<span class="error"><span class="ln error-ln">42</span>             $sHtml      = $this-&gt;convertTwigToHtml($line, $aDatas, $oTemplate);
</span><span class="ln">43</span>             $sEmHiddenInputs = LimeExpressionManager::FinishProcessPublicPage(true);
<span class="ln">44</span>             if($sEmHiddenInputs) {
<span class="ln">45</span>                 $sHtml = str_replace("&lt;!-- emScriptsAndHiddenInputs --&gt;","&lt;!-- emScriptsAndHiddenInputs updated --&gt;\n".$sEmHiddenInputs,$sHtml);
<span class="ln">46</span>             }
<span class="ln">47</span>             if ($bReturn) {
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#18			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/helpers/SurveyRuntimeHelper.php(467): <strong>LSETwigViewRenderer</strong>-&gt;<strong>renderTemplateFromFile</strong>("layout_global.twig",
 array("oSurvey" =&gt; Survey, "aSurveyInfo" =&gt; array("htmlemail" 
=&gt; "N", "format" =&gt; "G", "template" =&gt; "vanilla", "language" 
=&gt; "de", ...), "step" =&gt; 1, "LEMskipReprocessing" =&gt; null), 
false)				</div>

				<div class="code"><pre><span class="ln">462</span>         Yii::app()-&gt;twigRenderer-&gt;renderTemplateFromFile("layout_global.twig", array(
<span class="ln">463</span>             'oSurvey'=&gt; Survey::model()-&gt;findByPk($this-&gt;iSurveyid),
<span class="ln">464</span>             'aSurveyInfo'=&gt;$this-&gt;aSurveyInfo,
<span class="ln">465</span>             'step'=&gt;$step,
<span class="ln">466</span>             'LEMskipReprocessing'=&gt;$this-&gt;LEMskipReprocessing,
<span class="error"><span class="ln error-ln">467</span>         ), false);
</span><span class="ln">468</span>     }
<span class="ln">469</span> 
<span class="ln">470</span>     public function getShowNumAndCode()
<span class="ln">471</span>     {
<span class="ln">472</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#19			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/controllers/survey/index.php(591): <strong>SurveyRuntimeHelper</strong>-&gt;<strong>run</strong>("979236",
 array("surveyid" =&gt; "979236", "thissurvey" =&gt; array("htmlemail" 
=&gt; "N", "format" =&gt; "G", "template" =&gt; "vanilla", "language" 
=&gt; "de", ...), "thisstep" =&gt; null, "tokensexist" =&gt; 0, ...))			
	</div>

				<div class="code"><pre><span class="ln">586</span>         unset($redata);
<span class="ln">587</span>         $redata = compact(array_keys(get_defined_vars()));
<span class="ln">588</span>         Yii::import('application.helpers.SurveyRuntimeHelper');
<span class="ln">589</span>         $tmp = new SurveyRuntimeHelper();
<span class="ln">590</span>         // try {
<span class="error"><span class="ln error-ln">591</span>             $tmp-&gt;run($surveyid, $redata);
</span><span class="ln">592</span>         // } catch (WrongTemplateVersionException $ex) {
<span class="ln">593</span>         //     echo $ex-&gt;getMessage();
<span class="ln">594</span>         // }
<span class="ln">595</span>     }
<span class="ln">596</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#20			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/application/controllers/survey/index.php(24): <strong>index</strong>-&gt;<strong>action</strong>()				</div>

				<div class="code"><pre><span class="ln">19</span>     public $oTemplate;
<span class="ln">20</span> 
<span class="ln">21</span>     public function run()
<span class="ln">22</span>     {
<span class="ln">23</span>         useFirebug();
<span class="error"><span class="ln error-ln">24</span>         $this-&gt;action();
</span><span class="ln">25</span>     }
<span class="ln">26</span> 
<span class="ln">27</span>     public function action()
<span class="ln">28</span>     {
<span class="ln">29</span>         global $surveyid;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#21			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/actions/CAction.php(76): <strong>index</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">71</span>     {
<span class="ln">72</span>         $method=new ReflectionMethod($this, 'run');
<span class="ln">73</span>         if($method-&gt;getNumberOfParameters()&gt;0)
<span class="ln">74</span>             return $this-&gt;runWithParamsInternal($this, $method, $params);
<span class="ln">75</span> 
<span class="error"><span class="ln error-ln">76</span>         $this-&gt;run();
</span><span class="ln">77</span>         return true;
<span class="ln">78</span>     }
<span class="ln">79</span> 
<span class="ln">80</span>     /**
<span class="ln">81</span>      * Executes a method of an object with the supplied named parameters.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#22			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/CController.php(308): <strong>CAction</strong>-&gt;<strong>runWithParams</strong>(array("newtest" =&gt; "Y", "lang" =&gt; "de", "sid" =&gt; "979236"))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#23			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(index)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#24			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(index, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#25			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/CWebApplication.php(282): <strong>CController</strong>-&gt;<strong>run</strong>("index")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#26			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("survey/index/sid/979236")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#27			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#28			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/index.php(194): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">189</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">190</span> 
<span class="ln">191</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">192</span> 
<span class="ln">193</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">194</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">195</span> 
<span class="ln">196</span> /* End of file index.php */
<span class="ln">197</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2018-12-19 18:08:38 Apache/2.2.22 (Debian) <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.20	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



</body></html>
PHP warning.html (47,732 bytes)   
DenisChenu

DenisChenu

2018-12-19 18:13

developer   ~50011

Happen with debug at 0 too

500 : Erreur interne au serveur.html (15,261 bytes)   
<!DOCTYPE html>
<html dir="ltr" class="fr dir-ltr  js " lang="fr"><head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/noto.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/font-awesome.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/survey.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/template-core.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/awesome-bootstrap-checkbox.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/bootstrap.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/yiistrap.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/base.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/ajaxify.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/theme.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/custom.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/errors.css">
<link rel="stylesheet" type="text/css" href="500%20:%20Erreur%20interne%20au%20serveur_fichiers/expressions.css">
<script type="text/javascript">window.debugState = {frontend : (0 === 1), backend : (0 === 1)};</script><script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/jquery-3.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/jquery-migrate-3.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/lslog.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/pjax.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/moment-with-locales.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/survey.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/template-core.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/bootstrap.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/bootstrapconfirm.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/theme.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/ajaxify.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/custom.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/survey_runtime.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/expression.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/nojs.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/em_javascript.js" class="headScriptTag"></script>
<script type="text/javascript">
/*<![CDATA[*/
LSvar={"bFixNumAuto":1,"bNumRealValue":0,"sLEMradix":",","lang":{"confirm":{"confirm_cancel":"Abbrechen","confirm_ok":"OK"}},"showpopup":1,"startPopups":{},"debugMode":0};
/*]]>*/
</script>
<title>
                            500 : Erreur interne au serveur
                    </title>

                <meta name="generator" content="LimeSurvey http://www.limesurvey.org">
        <link rel="shortcut icon" href="https://master.sondages.pro/favicon.ico">
    </head>

    <body class="vanilla lang- " marginwidth="0" marginheight="0"><script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/decimal.js"></script>
<script type="text/javascript" src="500%20:%20Erreur%20interne%20au%20serveur_fichiers/decimalcustom.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
setJsVar();
$.extend(LSvar.lang,{ "yes":"Ja","no":"Nein" })
var LEMmode='group';
var LEMgseq='';
ExprMgr_process_relevance_and_tailoring = function(evt_type,sgqa,type){
if (typeof LEM_initialized == 'undefined') {
LEM_initialized=true;
LEMsetTabIndexes();
}
if (evt_type == 'onchange' && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa) && (typeof last_evt_type !== 'undefined' && last_evt_type == 'TAB' && type != 'checkbox')) {
  last_evt_type='onchange';
  last_sgqa=sgqa;
  return;
}
last_evt_type = evt_type;
last_sgqa=sgqa;
  relChange7714=false;
  relChange7715=false;
  relChangeG0=false;
  LEMrel7715(sgqa);
  LEMrel7715(sgqa);

}
function LEMrel7715(sgqa){
  var UsesVars = ' java979236X529X7714SQ001 java979236X529X7714SQ002 java979236X529X7714SQ003 java979236X529X7714SQ004 java979236X529X7714SQ005 java979236X529X7714SQ006 java979236X529X7714SQ007 java979236X529X7714SQ008 java979236X529X7714SQ009 ';
  if (typeof sgqa !== 'undefined' && !LEMregexMatch('/ java' + sgqa + ' /', UsesVars)) {
  return;
 }

if (LEMif(LEManyNA('979236X529X7714SQ001.valueNAOK', '979236X529X7714SQ002.valueNAOK', '979236X529X7714SQ003.valueNAOK', '979236X529X7714SQ004.valueNAOK', '979236X529X7714SQ005.valueNAOK', '979236X529X7714SQ006.valueNAOK', '979236X529X7714SQ007.valueNAOK', '979236X529X7714SQ008.valueNAOK', '979236X529X7714SQ009.valueNAOK'),'',(LEMsum(LEMval('979236X529X7714SQ001.valueNAOK') , LEMval('979236X529X7714SQ002.valueNAOK') , LEMval('979236X529X7714SQ003.valueNAOK') , LEMval('979236X529X7714SQ004.valueNAOK') , LEMval('979236X529X7714SQ005.valueNAOK') , LEMval('979236X529X7714SQ006.valueNAOK') , LEMval('979236X529X7714SQ007.valueNAOK') , LEMval('979236X529X7714SQ008.valueNAOK') , LEMval('979236X529X7714SQ009.valueNAOK') ) > 0)))
{
  if ( LEMif(LEManyNA('B3_SQ001.valueNAOK'),'',(LEMval('B3_SQ001.valueNAOK')  > 0)) ) {
    $('#javatbd979236X529X7715SQ001').trigger('relevance:on');
    relChange7715=true;
    $('#relevance979236X529X7715SQ001').val('1');
  }
  else {
    $('#javatbd979236X529X7715SQ001').trigger('relevance:off');
    relChange7715=true;
    $('#relevance979236X529X7715SQ001').val('');
  }
  if ( LEMif(LEManyNA('B3_SQ002.valueNAOK'),'',(LEMval('B3_SQ002.valueNAOK')  > 0)) ) {
    $('#javatbd979236X529X7715SQ002').trigger('relevance:on');
    relChange7715=true;
    $('#relevance979236X529X7715SQ002').val('1');
  }
  else {
    $('#javatbd979236X529X7715SQ002').trigger('relevance:off');
    relChange7715=true;
    $('#relevance979236X529X7715SQ002').val('');
  }
  if ( LEMif(LEManyNA('B3_SQ003.valueNAOK'),'',(LEMval('B3_SQ003.valueNAOK')  > 0)) ) {
    $('#javatbd979236X529X7715SQ003').trigger('relevance:on');
    relChange7715=true;
    $('#relevance979236X529X7715SQ003').val('1');
  }
  else {
    $('#javatbd979236X529X7715SQ003').trigger('relevance:off');
    relChange7715=true;
    $('#relevance979236X529X7715SQ003').val('');
  }
  if ( LEMif(LEManyNA('B3_SQ004.valueNAOK'),'',(LEMval('B3_SQ004.valueNAOK')  > 0)) ) {
    $('#javatbd979236X529X7715SQ004').trigger('relevance:on');
    relChange7715=true;
    $('#relevance979236X529X7715SQ004').val('1');
  }
  else {
    $('#javatbd979236X529X7715SQ004').trigger('relevance:off');
    relChange7715=true;
    $('#relevance979236X529X7715SQ004').val('');
  }
  if ( LEMif(LEManyNA('B3_SQ005.valueNAOK'),'',(LEMval('B3_SQ005.valueNAOK')  > 0)) ) {
    $('#javatbd979236X529X7715SQ005').trigger('relevance:on');
    relChange7715=true;
    $('#relevance979236X529X7715SQ005').val('1');
  }
  else {
    $('#javatbd979236X529X7715SQ005').trigger('relevance:off');
    relChange7715=true;
    $('#relevance979236X529X7715SQ005').val('');
  }
  if ( LEMif(LEManyNA('B3_SQ006.valueNAOK'),'',(LEMval('B3_SQ006.valueNAOK')  > 0)) ) {
    $('#javatbd979236X529X7715SQ006').trigger('relevance:on');
    relChange7715=true;
    $('#relevance979236X529X7715SQ006').val('1');
  }
  else {
    $('#javatbd979236X529X7715SQ006').trigger('relevance:off');
    relChange7715=true;
    $('#relevance979236X529X7715SQ006').val('');
  }
  if ( LEMif(LEManyNA('B3_SQ007.valueNAOK'),'',(LEMval('B3_SQ007.valueNAOK')  > 0)) ) {
    $('#javatbd979236X529X7715SQ007').trigger('relevance:on');
    relChange7715=true;
    $('#relevance979236X529X7715SQ007').val('1');
  }
  else {
    $('#javatbd979236X529X7715SQ007').trigger('relevance:off');
    relChange7715=true;
    $('#relevance979236X529X7715SQ007').val('');
  }
  if ( LEMif(LEManyNA('B3_SQ008.valueNAOK'),'',(LEMval('B3_SQ008.valueNAOK')  > 0)) ) {
    $('#javatbd979236X529X7715SQ008').trigger('relevance:on');
    relChange7715=true;
    $('#relevance979236X529X7715SQ008').val('1');
  }
  else {
    $('#javatbd979236X529X7715SQ008').trigger('relevance:off');
    relChange7715=true;
    $('#relevance979236X529X7715SQ008').val('');
  }
  if ( LEMif(LEManyNA('B3_SQ009.valueNAOK'),'',(LEMval('B3_SQ009.valueNAOK')  > 0)) ) {
    $('#javatbd979236X529X7715SQ009').trigger('relevance:on');
    relChange7715=true;
    $('#relevance979236X529X7715SQ009').val('1');
  }
  else {
    $('#javatbd979236X529X7715SQ009').trigger('relevance:off');
    relChange7715=true;
    $('#relevance979236X529X7715SQ009').val('');
  }
updateColors('question7715');
updateHeadings('question7715', 25);
  $('#question7715').trigger('relevance:on');
  relChange7715=true;
  $('#relevance7715').val('1');
}
else {
  $('#question7715').trigger('relevance:off');
  if ($('#relevance7715').val()=='1') { relChange7715=true; }
  $('#relevance7715').val('0');
}
}
var LEMalias2varName = {
'B3_SQ001':'java979236X529X7714SQ001',
'979236X529X7714SQ001':'java979236X529X7714SQ001',
'B3_SQ002':'java979236X529X7714SQ002',
'979236X529X7714SQ002':'java979236X529X7714SQ002',
'B3_SQ003':'java979236X529X7714SQ003',
'979236X529X7714SQ003':'java979236X529X7714SQ003',
'B3_SQ004':'java979236X529X7714SQ004',
'979236X529X7714SQ004':'java979236X529X7714SQ004',
'B3_SQ005':'java979236X529X7714SQ005',
'979236X529X7714SQ005':'java979236X529X7714SQ005',
'B3_SQ006':'java979236X529X7714SQ006',
'979236X529X7714SQ006':'java979236X529X7714SQ006',
'B3_SQ007':'java979236X529X7714SQ007',
'979236X529X7714SQ007':'java979236X529X7714SQ007',
'B3_SQ008':'java979236X529X7714SQ008',
'979236X529X7714SQ008':'java979236X529X7714SQ008',
'B3_SQ009':'java979236X529X7714SQ009',
'979236X529X7714SQ009':'java979236X529X7714SQ009'};
var LEMvarNameAttr = {
'java979236X529X7714SQ001':{ 'jsName':'java979236X529X7714SQ001','jsName_on':'java979236X529X7714SQ001','sgqa':'979236X529X7714SQ001','qid':7714,'gid':529,'type':'F','default':'','rowdivid':'979236X529X7714SQ001','onlynum':'','gseq':0,'answers':{ '0~ja':'1|Ja','0~n':'0|Nein','0~ki':'0|keine Information'}},
'java979236X529X7714SQ002':{ 'jsName':'java979236X529X7714SQ002','jsName_on':'java979236X529X7714SQ002','sgqa':'979236X529X7714SQ002','qid':7714,'gid':529,'type':'F','default':'','rowdivid':'979236X529X7714SQ002','onlynum':'','gseq':0,'answers':{ '0~ja':'1|Ja','0~n':'0|Nein','0~ki':'0|keine Information'}},
'java979236X529X7714SQ003':{ 'jsName':'java979236X529X7714SQ003','jsName_on':'java979236X529X7714SQ003','sgqa':'979236X529X7714SQ003','qid':7714,'gid':529,'type':'F','default':'','rowdivid':'979236X529X7714SQ003','onlynum':'','gseq':0,'answers':{ '0~ja':'1|Ja','0~n':'0|Nein','0~ki':'0|keine Information'}},
'java979236X529X7714SQ004':{ 'jsName':'java979236X529X7714SQ004','jsName_on':'java979236X529X7714SQ004','sgqa':'979236X529X7714SQ004','qid':7714,'gid':529,'type':'F','default':'','rowdivid':'979236X529X7714SQ004','onlynum':'','gseq':0,'answers':{ '0~ja':'1|Ja','0~n':'0|Nein','0~ki':'0|keine Information'}},
'java979236X529X7714SQ005':{ 'jsName':'java979236X529X7714SQ005','jsName_on':'java979236X529X7714SQ005','sgqa':'979236X529X7714SQ005','qid':7714,'gid':529,'type':'F','default':'','rowdivid':'979236X529X7714SQ005','onlynum':'','gseq':0,'answers':{ '0~ja':'1|Ja','0~n':'0|Nein','0~ki':'0|keine Information'}},
'java979236X529X7714SQ006':{ 'jsName':'java979236X529X7714SQ006','jsName_on':'java979236X529X7714SQ006','sgqa':'979236X529X7714SQ006','qid':7714,'gid':529,'type':'F','default':'','rowdivid':'979236X529X7714SQ006','onlynum':'','gseq':0,'answers':{ '0~ja':'1|Ja','0~n':'0|Nein','0~ki':'0|keine Information'}},
'java979236X529X7714SQ007':{ 'jsName':'java979236X529X7714SQ007','jsName_on':'java979236X529X7714SQ007','sgqa':'979236X529X7714SQ007','qid':7714,'gid':529,'type':'F','default':'','rowdivid':'979236X529X7714SQ007','onlynum':'','gseq':0,'answers':{ '0~ja':'1|Ja','0~n':'0|Nein','0~ki':'0|keine Information'}},
'java979236X529X7714SQ008':{ 'jsName':'java979236X529X7714SQ008','jsName_on':'java979236X529X7714SQ008','sgqa':'979236X529X7714SQ008','qid':7714,'gid':529,'type':'F','default':'','rowdivid':'979236X529X7714SQ008','onlynum':'','gseq':0,'answers':{ '0~ja':'1|Ja','0~n':'0|Nein','0~ki':'0|keine Information'}},
'java979236X529X7714SQ009':{ 'jsName':'java979236X529X7714SQ009','jsName_on':'java979236X529X7714SQ009','sgqa':'979236X529X7714SQ009','qid':7714,'gid':529,'type':'F','default':'','rowdivid':'979236X529X7714SQ009','onlynum':'','gseq':0,'answers':{ '0~ja':'1|Ja','0~n':'0|Nein','0~ki':'0|keine Information'}}};

/*]]>*/
</script>

        <article id="block_error">
            <div>
                                    <h1>500 : Erreur interne au serveur</h1>
                                <h2>An exception has been thrown during 
the rendering of a template ("Das zu veröffentlichende Asset 
"/home/sondages.pro/htdocs/limesurvey_GIT/LimeSurvey_master/upload/themes/survey/generalfiles/monlogo.png"
 existiert nicht.").</h2>
                <p>
                    Une erreur interne est survenue quand le serveur Web traitait votre requête.
                </p>
                <p>
                                            Veuillez contacter Sondages Pro pour rapporter ce problème.
                                    </p>
            </div>
        </article>
                    
            <script type="text/javascript">
/*<![CDATA[*/

            try{ 
                triggerEmClassChange(); 
            } catch(e) {
                console.ls.warn('triggerEmClassChange could not be run. Is survey.js correctly loaded?');
            }

triggerEmRelevance();
jQuery(document).off('pjax:scriptcomplete.mainBottom').on('ready pjax:scriptcomplete.mainBottom', function() {
activateActionLink();
activateConfirmButton();
updateMandatoryErrorClass();
});
/*]]>*/
</script>


</body></html>
DenisChenu

DenisChenu

2018-12-19 18:14

developer   ~50012

Last edited: 2018-12-19 18:14

View 2 revisions

Why this error is in french and not german … :( …

default lang is french, OK, but survey is in german : the language must be set in German …

DenisChenu

DenisChenu

2018-12-20 00:18

developer   ~50016

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28665

ollehar

ollehar

2019-01-16 17:30

administrator   ~50239

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28766

Related Changesets

LimeSurvey: master 05aa0a34

2018-12-20 00:18:29

DenisChenu

Details Diff
Fixed issue 14362: Template can throw error with invalid image
Dev: test if file exist before send it to imageValidator
Dev: add commment on validateImage function (this can be updated if needed, but not really the task of a image validation)
Dev: or did image validation must test if file exist ?
Affected Issues
14362
mod - application/core/LSYii_ImageValidator.php Diff File
mod - application/core/LS_Twig_Extension.php Diff File

LimeSurvey: develop 513ce2c7

2018-12-20 00:18:29

DenisChenu


Committer: ollehar Details Diff
Fixed issue 14362: Template can throw error with invalid image
Dev: test if file exist before send it to imageValidator
Dev: add commment on validateImage function (this can be updated if needed, but not really the task of a image validation)
Dev: or did image validation must test if file exist ?
Affected Issues
14362
mod - application/core/LSYii_ImageValidator.php Diff File
mod - application/core/LS_Twig_Extension.php Diff File

Issue History

Date Modified Username Field Change
2018-12-19 18:12 DenisChenu New Issue
2018-12-19 18:12 DenisChenu File Added: PHP warning.html
2018-12-19 18:13 DenisChenu File Added: 500 : Erreur interne au serveur.html
2018-12-19 18:13 DenisChenu Note Added: 50011
2018-12-19 18:14 DenisChenu Note Added: 50012
2018-12-19 18:14 DenisChenu Note Edited: 50012 View Revisions
2018-12-20 00:08 DenisChenu Summary Template can throw error aout not exsiting file (PHP Warning) => Template can throw error with invalid image
2018-12-20 00:08 DenisChenu Description Updated View Revisions
2018-12-20 00:08 DenisChenu Assigned To => DenisChenu
2018-12-20 00:08 DenisChenu Status new => assigned
2018-12-20 00:18 DenisChenu Changeset attached => LimeSurvey master 05aa0a34
2018-12-20 00:18 DenisChenu Note Added: 50016
2018-12-20 00:18 DenisChenu Resolution open => fixed
2018-12-20 00:18 DenisChenu Status assigned => resolved
2018-12-20 00:18 DenisChenu Fixed in Version => 3.15.x
2019-01-16 17:30 ollehar Changeset attached => LimeSurvey develop 513ce2c7
2019-01-16 17:30 ollehar Note Added: 50239
2019-04-30 09:11 c_schmitz Status resolved => closed